<?php

require_once 'base/GepTipoparcfluxoEntityBase.php';

/**
 * GepTipoParcFluxoEntity.
 *
 * @package Entity
 * @author  daniellepereira <username@example.com>
 */
class GepTipoparcfluxoEntity extends GepTipoparcfluxoEntityBase
{


    const SEM_TIPOPARCEIRO = 0;


    /**
     * Descri?: Gera o novo cdigo de Tipo de Paceiro por Tipo de Fluxo.
     *
     * @param integer $nrorg N?o da Organiza?.
     *
     * @return $codigo integer
     */
    public static function retornaProxNumeroTipoParcFluxo($nrorg){
        $codigo = Novocodigo::geraCodigo($nrorg, 'GEP_TIPOPARCFLUXO', 10);
        return $codigo;
    }


    /**
     * Retorna os tipos de parceiro de determinado tipo de fluxo.
     *
     * @param integer $nrorg       Numero da organizacao.
     * @param integer $nrtipofluxo Numero do tipo de fluxo.
     *
     * @throws Exception           Sem registro de consulta.
     * @return Ambigous <multitype:, boolean, NULL, TkModelEntity>
     */
    public static function retornaTipoParceiroFluxo($nrorg, $nrtipofluxo){
        $consulta = GepTipoparcfluxo::consultaTipoParceiroFluxo(
            $nrorg,
            $nrtipofluxo
        );
        if ($consulta instanceof GepTipoparcfluxoEntity) {
            return $consulta;
        }

        throw new Exception(
            'GepTipoParcFluxoEntity: Nao ha tipos de parceiros para este tipo de fluxo!',
            self::SEM_TIPOPARCEIRO
        );
    }


}